Package org.jfree.layouting.layouter.content.computed

## Class ComputedToken

- java.lang.Object
- - org.jfree.layouting.layouter.content.computed.ComputedToken

- All Implemented Interfaces:
    `ContentToken`
  Direct Known Subclasses:
    `CloseQuoteToken`, `ContentsToken`, `CountersToken`, `CounterToken`, `ElementsToken`, `OpenQuoteToken`, `PendingToken`, `VariableToken`

      public abstract class ComputedToken
      extends java.lang.Object
      implements ContentToken

  A computed token is a placeholder for content that *must* be resolved during the layouting phase. Usually, this deals with compound counters (which need to be split into resolved single counters).
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ComputedToken​()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComputedToken

          protected ComputedToken​()